message.hpp File Reference
`#include <vector>`
`#include <string>`
`#include <cassert>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | Gecode::CPProfiler::Option< T >
| Optional value class. More...
struct | Gecode::CPProfiler::NodeUID
| Unique identifier for a node. More...
class | Gecode::CPProfiler::Message
| Message for the CP Profiler. More...
class | Gecode::CPProfiler::MessageMarshalling

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::CPProfiler
| Code that is specific to the CPProfiler.

## Enumerations

enum | Gecode::CPProfiler::NodeStatus { Gecode::CPProfiler::SOLVED = 0 , Gecode::CPProfiler::FAILED = 1 , Gecode::CPProfiler::BRANCH = 2 , Gecode::CPProfiler::SKIPPED = 3 }
| Types of nodes for CP Profiler. More...
enum class | Gecode::CPProfiler::MsgType { Gecode::CPProfiler::NODE = 0 , Gecode::CPProfiler::DONE = 1 , Gecode::CPProfiler::START = 2 , Gecode::CPProfiler::RESTART = 3 }
| Types of messages for CP Profiler. More...